<template>
  <div>
    <header-pure v-if="except"></header-pure>
    <div class="w-full">
      <slot />
    </div>
  </div>
</template>
<script lang="ts">
import _ from "lodash";
import { store } from "~~/store";

export default defineComponent({
  name: "App",
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const authentication = computed(() => store.state.auth);
    const isLoading = computed(() => store.state.isThemePropertyLoading);
    const isGameLoading = computed(() => store.state.isGameUpdateLoading);
    const route = useRoute();
    const array: Array<string> = ["login"];
    const tabSelected = computed(() =>
      _.replace(
        _.replace(route.path.split("/")[1], "-", ""),
        "/",
        ""
      ).toLowerCase()
    );
    const except = computed(() => !_.includes(array, tabSelected.value));
    return {
      themeProperties,
      isLoading,
      authentication,
      isGameLoading,
      except,
    };
  },
});
</script>
<style lang="scss">
@import "@/assets/styles/mobile/common.scss";
</style>
<style lang="postcss" scoped>
:deep(.el-collapse-item__wrap),
:deep(.el-collapse-item__header) {
  border-bottom: unset;
}
:deep(.el-icon.el-collapse-item__arrow) {
  display: none;
}
</style>
